#
# Be sure to run `pod lib lint BFCommonKit.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFCommonKit'
  s.version          = '1.1.7'
  s.summary          = 'A short description of BFCommonKit.'
  s.swift_version    = '5.0'
# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://git.yishihui.com/wenweiwei'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'wenweiwei' => 'wenweiwei@piaoquantv.com' }
  s.source           = { :git => 'https://git.yishihui.com/wenweiwei/BFCommonKit.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '10.0'

#  s.source_files = 'BFCommonKit/Classes/BFConfig/*'
  # subspec
  s.subspec 'BFConfig' do |gg|
    gg.source_files = 'BFCommonKit/Classes/BFConfig/*'
    gg.frameworks = 'UIKit'
  end
  s.subspec 'BFBase' do |bb|
    bb.source_files = 'BFCommonKit/Classes/BFBase/**/*'
    bb.frameworks = 'UIKit', 'WebKit'
    bb.dependency 'Alamofire','5.4.3'
    bb.dependency 'SnapKit','5.0.1'
    bb.dependency 'RealmSwift','10.7.6'
    bb.dependency 'FDFullscreenPopGesture','1.1'
    bb.dependency 'BFCommonKit/BFUtility'
    bb.dependency 'BFCommonKit/BFConfig'
    bb.dependency 'BFCommonKit/BFCategorys'
  end
  s.subspec 'BFEnums' do |ee|
    ee.source_files = 'BFCommonKit/Classes/BFEnums/*'
    ee.frameworks = 'Foundation'
  end
  s.subspec 'BFCategorys' do |cc|
    cc.source_files = 'BFCommonKit/Classes/BFCategorys/*'
    cc.frameworks = 'Foundation','UIKit','MobileCoreServices' # ,'CommonCrypto'
    cc.dependency 'KingfisherWebP','1.3.0'
  end
  s.subspec 'BFUtility' do |uu|
    uu.source_files = 'BFCommonKit/Classes/BFUtility/*'
    uu.frameworks = 'Foundation','UIKit','AdSupport','Photos','AudioToolbox','AVKit'
    uu.dependency 'KingfisherWebP','1.3.0'
    uu.dependency 'Alamofire','5.4.3'
    uu.dependency 'KeychainAccess','4.2.2'
    uu.dependency 'Kingfisher','6.3.0'
    uu.dependency 'Toast-Swift','5.0.1'
    uu.dependency 'BFCommonKit/BFCategorys'
    uu.dependency 'BFCommonKit/BFConfig'
  end
  s.subspec 'BFDebug' do |dd|
    dd.source_files = 'BFCommonKit/Classes/BFDebug/*'
    dd.frameworks = 'UIKit','MessageUI','WebKit'
    dd.dependency 'BFCommonKit/BFCategorys'
  end
#  s.subspec 'Resources' do |rr|
#    rr.resource_bundles = {
#      'BFCommonKit_Resources' => ['BFCommonKit/Assets/Resources/*']
#    }
#  end
   s.resource_bundles = {
      'BFCommonKit_Resources' => ['BFCommonKit/Assets/Resources/*']
    }
  # s.resources = 'BFCommonKit/Assets/Resources/*.png'
  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'AVFoundation','CoreMedia', 'QuartzCore'
  # s.dependency 'Kingfisher','6.3.0'
end
